<template>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">Login administració</div>
                    <div class="card-body">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label text-md-right">Usuari</label>

                            <div class="col-md-6">
                                <input id="usuari" type="text" class="form-control" name="usuari" required autocomplete="usuari" autofocus>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label text-md-right">Password</label>

                            <div class="col-md-6">
                                <input id="password" type="password" class="form-control" name="password" required autocomplete="current-password">
                            </div>
                            <div class="error" id="passnotok">
                                <p>La contrasenya no és correcte</p>
                            </div>
                            <div class="error" id="usernotadmin">
                                <p>L'usuari no té permisos d'administració</p>
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-8 offset-md-4">
                                <button type="submit" class="btn btn-primary" v-on:click="loginUser()">
                                    Login
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</template>

<script>
    export default {
        props: ["ruta", "rutaadmin"],
        mounted() {
            console.log('Component mounted.')
        },
        data: function() {
            return {
                user: null,
                pass: null,
                usuariAdmin: null
            }
        },
        methods: {
            loginUser(){
                this.user = document.getElementById('usuari').value;
                this.pass = document.getElementById('password').value;
                axios
                .get(this.ruta + '/api/validarAdminUser/' + this.user)
                .then(response => {
                    this.usuariAdmin = response.data;
                    if(this.usuariAdmin.tipusUsuari == 0){
                        this.user = this.usuariAdmin.idUsuari;
                        document.getElementById("usernotadmin").style.visibility = "hidden";
                        axios
                        .get(this.ruta + '/api/loginAdminUser/' + this.usuariAdmin.idUsuari + '-' + this.pass)
                        .then(response =>{
                            this.usuariAdmin = response.data;
                            if(this.usuariAdmin.idUsuari == this.user){
                                document.getElementById("passnotok").style.visibility = "hidden";
                                window.location.href = this.ruta +'/homeAdmin';
                            }else{
                                document.getElementById("passnotok").style.visibility = "visible";
                            }
                        })
                    }else{
                        document.getElementById("usernotadmin").style.visibility = "visible";
                    }
                })
            }
        }
    }
</script>
